/**
 * Expects an AST tree with start of the node
 * Extract the object part of the string and convert to
 * `
 *  {
 *    NODE_ENV: { required: true },
 *    ENV1: { required: false }, // if `default` exist
 *    ENV2: { devRequired: false }, // if `devDefault` exist
 * }
 * `
 */
export default function envLogger(): {
    visitor: {
        CallExpression(path: any, state: any): void;
        VariableDeclarator(path: any): void;
    };
};
export declare const sourceToAst: (source: any) => void;
